## ClutterBehaviourOpacity ClutterBehaviourOpacity — A behaviour controlling opacity |

## Functions

ClutterBehaviour * | clutter_behaviour_opacity_new ()
void | clutter_behaviour_opacity_set_bounds ()
void | clutter_behaviour_opacity_get_bounds ()

## Properties

guint | opacity-end | Read / Write
guint | opacity-start | Read / Write

## Types and Values

struct | ClutterBehaviourOpacity
struct | ClutterBehaviourOpacityClass

## Object Hierarchy

        GObject
        ╰── ClutterBehaviour
            ╰── ClutterBehaviourOpacity

## Implemented Interfaces

ClutterBehaviourOpacity implements ClutterScriptable.

## Description

ClutterBehaviourOpacity controls the opacity of a set of actors.

## Functions

### clutter_behaviour_opacity_new ()

    ClutterBehaviour *
    clutter_behaviour_opacity_new (ClutterAlpha *alpha,
                                   guint8 opacity_start,
                                   guint8 opacity_end);

`clutter_behaviour_opacity_new` has been deprecated since version 1.6 and should not be used in newly-written code.

Creates a new ClutterBehaviourOpacity object, driven by `alpha` which controls the opacity property of every actor, making it change in the interval between `opacity_start` and `opacity_end` .

If `alpha` is not `NULL`, the ClutterBehaviour will take ownership of the ClutterAlpha instance. In the case when `alpha` is `NULL`, it can be set later with `clutter_behaviour_set_alpha()`.

#### Parameters

alpha | a ClutterAlpha instance, or `NULL`. | [allow-none]
opacity_start | minimum level of opacity |
opacity_end | maximum level of opacity |

#### Returns

the newly created ClutterBehaviourOpacity

Since 0.2

### clutter_behaviour_opacity_set_bounds ()

    void
    clutter_behaviour_opacity_set_bounds (ClutterBehaviourOpacity *behaviour,
                                          guint8 opacity_start,
                                          guint8 opacity_end);

`clutter_behaviour_opacity_set_bounds` has been deprecated since version 1.6 and should not be used in newly-written code.

Sets the initial and final levels of the opacity applied by `behaviour` on each actor it controls.

#### Parameters

behaviour | a ClutterBehaviourOpacity |
opacity_start | minimum level of opacity |
opacity_end | maximum level of opacity |

Since 0.6

### clutter_behaviour_opacity_get_bounds ()

    void
    clutter_behaviour_opacity_get_bounds (ClutterBehaviourOpacity *behaviour,
                                          guint8 *opacity_start,
                                          guint8 *opacity_end);

`clutter_behaviour_opacity_get_bounds` has been deprecated since version 1.6 and should not be used in newly-written code.

Gets the initial and final levels of the opacity applied by `behaviour` on each actor it controls.

#### Parameters

behaviour | a ClutterBehaviourOpacity |
opacity_start | return location for the minimum level of opacity, or `NULL`. | [out]
opacity_end | return location for the maximum level of opacity, or `NULL`. | [out]

Since 0.6

## Types and Values

### struct ClutterBehaviourOpacity

    struct ClutterBehaviourOpacity;

`ClutterBehaviourOpacity` has been deprecated since version 1.6 and should not be used in newly-written code.

Use `clutter_actor_animate()` and “opacity” instead.

The ClutterBehaviourOpacity structure contains only private data and should be accessed using the provided API

Since 0.2

### struct ClutterBehaviourOpacityClass

    struct ClutterBehaviourOpacityClass {
    };

`ClutterBehaviourOpacityClass` has been deprecated since version 1.6 and should not be used in newly-written code.

The ClutterBehaviourOpacityClass structure contains only private data

Since 0.2

## Property Details

### The `“opacity-end”` property

      “opacity-end”              guint

Final opacity level of the behaviour.

`ClutterBehaviourOpacity:opacity-end` has been deprecated since version 1.6 and should not be used in newly-written code.

Flags: Read / Write

Allowed values: <= 255

Default value: 0

Since 0.2

### The `“opacity-start”` property

      “opacity-start”            guint

Initial opacity level of the behaviour.

`ClutterBehaviourOpacity:opacity-start` has been deprecated since version 1.6 and should not be used in newly-written code.

Flags: Read / Write

Allowed values: <= 255

Default value: 0

Since 0.2